Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary:	file manager for Xfce
Name:		Thunar
Version:	0.9.0
Release:	1
License:	GNU/GPL
URL:		http://thunar.xfce.org/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.5.0-desktop.patch
Group:		Graphical Desktop/Xfce/Extras
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	exo
Requires:	dbus
Requires:	dbus-glib
BuildRequires:	exo-devel
BuildRequires:	dbus-devel
BuildRequires:  atk-devel
BuildRequires:  cairo-devel
BuildRequires:  expat-devel
BuildRequires:  fam-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  GConf-devel
BuildRequires:  gtk2+-devel
BuildRequires:  hal-devel
BuildRequires:  libjpeg-devel
BuildRequires:  ORBit2-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  popt
BuildRequires:  startup-notification-devel
BuildRequires:  libxfce4util-devel
BuildRequires:	pcre-devel
BuildRequires:	libexif-devel
BuildRequires:	gamin-devel
BuildRequires:	xfce4-panel-devel

%description
Thunar is a new modern file manager for the Xfce Desktop Environment.
Thunar has been designed from the ground up to be fast and easy-to-use.
Its user interface is clean and intuitive, and does not include any
confusing or useless options. Thunar is fast and responsive with a
good start up time and directory load time. Thunar is accessible using
Assistive Technologies and is fully standards compliant.

%package	devel
Summary:        Development files for %{name}
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	devel
Static libraries and header files for %{name}.

%prep
%setup -n %{name}-%{version}
%patch0 -p0

%build
%configure --sysconfdir=%_sysconfdir/xfce --libexecdir=%_libexecdir --enable-final \
	--disable-gtk-doc
 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%_mandir
rm -rf %{buildroot}%_datadir/gtk-doc
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%_bindir
%_datadir/Thunar
%_datadir/applications
%_datadir/dbus-1
%_datadir/doc
%_datadir/icons
%_datadir/pixmaps
%_datadir/thumbnailers
%_datadir/xfce4/panel-plugins/thunar-tpa.desktop
%_mandir/man1
%_sysconfdir/xfce
%_libdir/*.so.*
%_libdir/thunarx-1/*.so
%_libexecdir

%files devel
%defattr(-,root,root)
%_pkgconfig
%_includedir
%_libdir/*.la
%_libdir/*.so
%_libdir/thunarx-1/*.la

%changelog
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.9.0-1
- Version Update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.8.0-2
- Rebuild Against XFCE 4.4.1
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.8.0-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 0.5.0-2
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.5.0-1
- Version Update RC2
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.4.0-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.3.2-1
- Version Update, beta2
* Wed May 03 2006 Christian Wasem <wasem@ccux-linux.de> 0.2.2-2
- rebuilt, added deskop patch
* Sun Mar 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.2-1
- Initial Release, alpha2
